GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "ebb0b60c-c118-468d-8646-a37c85ce666f",
"program_id": "e16349a4-4da8-4b62-92d2-f7c519ec0bca",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "4f74920d-c333-4fe5-95b2-a32a604f2275",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>ebb0b60c-c118-468d-8646-a37c85ce666f</id> <medistream_program_step_type_id>4f74920d-c333-4fe5-95b2-a32a604f2275</medistream_program_step_type_id> <name>sample string 4</name> <program_id>e16349a4-4da8-4b62-92d2-f7c519ec0bca</program_id> </medistream_program_step>